Bug 592614 - Review Request: apache-commons-launcher - A cross platform Java application launcher
Review Request: apache-commons-launcher - A cross platform Java application l...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-05-15 14:21 EDT by Mat Booth
Modified: 2010-07-09 05:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 05:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2010-05-15 14:21:22 EDT
!!! NOTE: This is a re-review because the package has been renamed from
jakarta-commons-launcher


Spec URL: http://mbooth.fedorapeople.org/reviews/apache-commons-launcher.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/apache-commons-launcher-1.2-0.1.svn936225.fc13.src.rpm
Description:
Commons-launcher eliminates the need for a batch or shell script to launch a 
Java class.


------------

Justification for packaging a svn snapshot:

The last release of this package was 6 years ago and in that time there have only been two extremely minor changes to the source code, [1] and [2]. It seems a new release is unlikely to be forthcoming in the foreseeable future.

During that time however, support for the maven 2 build system has been added. So in order to make my life easier as a maintainer, with regard to supporting OSGi manifests and installing poms, etc, I have elected to package a maven2 supporting snapshot instead of maintaining patches in our SRPM. As an added bonus, the snapshot also has more accurate javadocs.


[1]
http://svn.apache.org/viewvc/commons/proper/launcher/trunk/src/java/org/apache/commons/launcher/ChildMain.java?r1=138801&r2=138803

[2]
http://svn.apache.org/viewvc/commons/proper/launcher/trunk/src/java/org/apache/commons/launcher/Launcher.java?r1=138801&r2=138802
Comment 1 Stanislav Ochotnicky 2010-05-17 06:29:23 EDT
I can take this.
Comment 2 Stanislav Ochotnicky 2010-05-18 12:26:42 EDT
Since this is required I acknowledge that this is re-review

OK: rpmlint must be run on every package. The output should be posted in the review.

apache-commons-launcher.src: W: invalid-url Source0: commons-launcher-1.2-src.tar.gz
apache-commons-launcher.noarch: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-launcher
apache-commons-launcher-javadoc.noarch: W: obsolete-not-provided jakarta-commons-launcher-javadoc
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

False positives, Source0 explained and OK too. I would like to see at
least part of that reasoning in the spec file so perhaps next
maintainer will know he can start using normal release instead of SVN

FAIL: The package must be named according to the Package Naming Guidelines .

Check the package naming guidelines on snapshot please. 
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#SnapshotPackages

From your explanation I believe this is not pre-relase, but post
release package. Therefore there should be something like:
Release: 1.20100518svn936225

You can drop the release number of course..

OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8. 

Other:
I checked Obsoletes/Provides and they are good

So please explain or change the package naming and they I can approve your package.
Comment 3 Mat Booth 2010-05-21 11:40:43 EDT
(In reply to comment #2)
> Since this is required I acknowledge that this is re-review
> 
> OK: rpmlint must be run on every package. The output should be posted in the
> review.
> 
> apache-commons-launcher.src: W: invalid-url Source0:
> commons-launcher-1.2-src.tar.gz
> apache-commons-launcher.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/apache-commons-launcher
> apache-commons-launcher-javadoc.noarch: W: obsolete-not-provided
> jakarta-commons-launcher-javadoc
> 3 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> False positives, Source0 explained and OK too. I would like to see at
> least part of that reasoning in the spec file so perhaps next
> maintainer will know he can start using normal release instead of SVN
> 

Yes, I should have just added that text to the SPEC file. Best to be explicit about what I've done.


> FAIL: The package must be named according to the Package Naming Guidelines .
> 
> Check the package naming guidelines on snapshot please. 
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#SnapshotPackages
> 
> From your explanation I believe this is not pre-relase, but post
> release package. Therefore there should be something like:
> Release: 1.20100518svn936225
> 

Fair enough, I've changed this.

> You can drop the release number of course..
> 
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption.  .
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license. 
> OK: If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.
> OK: The spec file must be written in American English. 
> OK: The spec file for the package MUST be legible. 
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL. Reviewers should use md5sum for this task. If no
> upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture. 
> OK: If the package does not successfully compile, build or work on an
> architecture, then those architectures should be listed in the spec in
> ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
> bugzilla, describing the reason that the package does not compile/build/work on
> that architecture. The bug number MUST be placed in a comment, next to the
> corresponding ExcludeArch line. 
> OK: All build dependencies must be listed in BuildRequires, except for any that
> are listed in the exceptions section of the Packaging Guidelines ; inclusion of
> those as BuildRequires is optional. Apply common sense.
> OK: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> OK: Packages must NOT bundle copies of system libraries.
> OK: A package must own all directories that it creates. If it does not create a
> directory that it uses, then it should require a package which does create that
> directory. 
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings. 
> OK: Permissions on files must be set properly. Executables should be set with
> executable permissions, for example. Every %files section must include a
> %defattr(...) line. 
> OK: Each package must consistently use macros. 
> OK: The package must contain code, or permissable content. 
> OK: Large documentation files must go in a -doc subpackage. (The definition of
> large is left up to the packager's best judgement, but is not restricted to
> size. Large can refer to either size or quantity). 
> OK: If a package includes something as %doc, it must not affect the runtime of
> the application. To summarize: If it is in %doc, the program must run properly
> if it is not present. 
> OK: Packages must not own files or directories already owned by other packages.
> The rule of thumb here is that the first package to be installed should own the
> files or directories that other packages may rely upon. This means, for
> example, that no package in Fedora should ever share ownership with any of the
> files or directories owned by the filesystem or man package. If you feel that
> you have a good reason to own a file or directory that another package owns,
> then please present that at package review time. 
> OK: All filenames in rpm packages must be valid UTF-8. 
> 
> Other:
> I checked Obsoletes/Provides and they are good
> 
> So please explain or change the package naming and they I can approve your
> package.    


I have also corrected the dep-map names.

New SPEC/SRPM:
http://mbooth.fedorapeople.org/reviews/apache-commons-launcher.spec
http://mbooth.fedorapeople.org/reviews/apache-commons-launcher-1.1-5.20100521svn936225.fc13.src.rpm
Comment 4 Stanislav Ochotnicky 2010-05-24 08:05:45 EDT
Now we have this when rpmbuild-ing:

> install: cannot stat `target/commons-launcher-1.1.jar': No such file or directory

I believe this was caused by the versioning change, because jar created is named commons-launcher-1.2-SNAPSHOT.jar

I trust this is just a small mistake, but please do check and build locally when you make changes like this. On condition that you fix this (and possibly other) build problem, this package is 

APPROVED.
Comment 5 Alexander Kurtakov 2010-05-28 03:26:10 EDT
Time to request cvs :)
Comment 6 Mat Booth 2010-06-03 16:45:11 EDT
Yes indeed, thanks.

New Package CVS Request
=======================
Package Name: apache-commons-launcher
Short Description: A cross platform Java application launcher
Owners: mbooth
Branches: devel
Comment 7 Kevin Fenzi 2010-06-07 16:55:24 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Alexander Kurtakov 2010-07-09 05:40:05 EDT
Build in koji.
http://koji.fedoraproject.org/koji/buildinfo?buildID=177363

Note You need to log in before you can comment on or make changes to this bug.